/* Programmatje om het lopen van alpha te bepalen */

#include <stdio.h>
#include <math.h>
#include "qcdeqn.h"
#define stdhe 197.32 /* hbar c naar MeV fm^-1 */
#define NSTEP 1000

int main() {
int i;
double alp,p,pideal,mu,mustart=0,mumax=1000,mustep;
FILE *out;

	out=fopen("eosdata/alphapres.asc","w");
fprintf(out, "# Running alpha as function of mu and pres\n");
fprintf(out, "# mu\talpha(mu)\tp/p0(mu)\n");
mustep=(mumax-mustart)/NSTEP;
lschaal=1.0;
for(i=0;i<NSTEP+1;i++) {
	mu=mustart+i*mustep;
	alp = alpha(lschaal*mu);
	if(alp>0&&alp<1) {
		inter=1;
		p = -thpot(mu)/pow(stdhe,3);
		inter=0;
		pideal = -thpot(mu)/pow(stdhe,3);
	}
	else {
		if(alp<0) alp=0;
		p=0;
	}
	fprintf(out,"%g\t%g\t%g\n",mu,alp,p/pideal);
}
fclose(out);
return 0;
}
